Subject: Re: [ANNOUNCE] Git Merge Contributors Summit, April 8th, Paris

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Mar 2015 14:24:28 -0800

Christian Couder <[email-masked]> writes:

> On Tue, Feb 24, 2015 at 11:09 PM, Jeff King <[email-masked]> wrote:
>> I wanted to make one more announcement about this, since a few more
>> details have been posted at:
>>
>>   http://git-merge.com/
>>
>> since my last announcement. Specifically, I wanted to call attention to
>> the contributor's summit on the 8th. Basically, there will be a space
>> that can hold up to 50 people, it's open only to git (and JGit and
>> libgit2) devs, and there isn't a planned agenda. So I want to:
>>
>>   1. Encourage developers to come. You might meet some folks in person
>> ...
>>   2. Get people thinking about what they would like to talk about.  In
>> ...
>> If you are a git dev and want to come, please RSVP to Chris Kelly
>> <[email-masked]> who is organizing the event. If you would like
>> to come, but finances make it hard (either for travel, or for the
>> conference fee), please talk to me off-list, and we may be able to help.
>
> I'd like the Git project to set up a more organized way to pay back
> the travel costs and the conference fee to the developers who come.
> For example the Git project could say that it will at least pay back:
>
> - all the travel costs to the 5 most important Git developers who come and ask,
> - half the travel costs to the 5 next most important Git developers
> who come and ask,
> - all the conference fee to the 15 most important Git developers who
> come and ask,
>
> I think it could help developers decide to come, and it looks like
> enough funding could be available, thanks to GitHub and the GSoC
> money. What do you think?

I personally perfer things to be kept informal---it would keep
things simpler for everybody.  You do not have to wonder what you
should do when you think you are among the five most important
people and you also know your employer will pay for the conference
if you asked, for example.

It feels to me that the suggestion Peff gave in his announce to ask
privately for case-by-case arrangement strikes the balance much
better.

> Apart from that it's also possible to find ways to accommodate some
> developers for free, if they don't mind crashing in someone's spare
> room.
>
> So please don't hesitate to ask if you would like to come.

These five lines, by not explicitly saying something like "the first
2 people who ask can crash in Christian's spare bedroom", is doing
exactly the same thing as Peff did by saying "please talk to me
off-list", it seems to me at least.  Both keep things informal and
simple, and both arrange things on case-by-case basis as needed.

And I think that is better than setting a seemingly hard rules
upfront, and causing more problems unnecessarily (e.g. who decides
who are the 5 most important, for example?).